#a script
from eventAPI import *
from APIUtils import *

a = 0

def fireEvent(e):
    global a
    a = getTag(e, "a")
    if (a == 0):
        begin(e)
    else:
        return 1

def begin(e):
    showPicture(e, "Ghost")
    showMessage(e, ["A ghost appears before you."])
    showMessage(e, ["At last! Adventurers!         I have a quest for you if you will hear me out."])
    showMessage(e, ["At the lowest level of this basement there is a most foul monster, that kidnaps people, and brings them downstairs to cook them in a giant pot. This was how I died. Please, you must not let anyone else suffer the same fate as I did."])
    showMessage(e, ["There is a gang of Senrat thieves that make their home here as well. You will need to get through them first.......then avenge my death and kill the beast. I know you will succeed."])
    showMessage(e, ["The apparition fades away."])
    setTag(e, "a", 1)
    return 1

